%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 2
%define major 2
%define gimajor 2.0
%define libname %mklibname rsvg %{api} %{major}
%define devname %mklibname rsvg %{api} -d
%define girname %mklibname rsvg-gir %{gimajor}

# mozilla plugin requires xulruuner 1.8 not 1.9
%define build_mozilla 0

Summary:	Raph's SVG library
Name:		librsvg
Version:	2.40.18
Release:	1
License:	LGPLv2+ and GPLv2+
Group:		Graphics
Url:		http://librsvg.sourceforge.net/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/librsvg/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		10_rsvg-gz.patch

BuildRequires:	gdk-pixbuf2.0
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcroco-0.6)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(vapigen) >= 0.17.1.26
Provides:	%{name}%{api} = %{EVRD}
Requires:	%{libname} >= %{EVRD}
Requires:	python

%description
A library that uses libart and pango to render svg files.

%files
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/rsvg-convert
%{_bindir}/rsvg-view-3
%{_datadir}/thumbnailers/librsvg.thumbnailer
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Raph's SVG library
Group:		System/Libraries

%description -n %{libname}
A library that uses libart and pango to render svg files.

%files -n %{libname}
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so
%{_libdir}/librsvg-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Libraries and include files for developing with librsvg
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}%{api}-devel = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{mklibname -d rsvg 2 2} < 2.36.1

%description -n %{devname}
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%files -n %{devname}
%{_libdir}/*.so
%{_includedir}/librsvg-2.0
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Rsvg-2.0.gir
%{_datadir}/gtk-doc/html/*
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/librsvg-2.0.vapi

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Rsvg-%{gimajor}.typelib

#----------------------------------------------------------------------------

%if %{build_mozilla}
%package mozilla
Summary:	Mozilla plugin for displaying SVG files
Group:		Networking/WWW
BuildRequires:	xulrunner-devel

%description mozilla
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%files mozilla
%{_libdir}/mozilla/plugins/*.so
%endif

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-introspection=yes \
	--disable-gtk-doc \
	--enable-vala \
	--enable-pixbuf-loader \
	--disable-gtk-theme

%make

%install
%makeinstall_std

#remove unpackaged files
rm -fr %{buildroot}%{_docdir}/librsvg
%if %{build_mozilla}
rm -f %{buildroot}%{_libdir}/mozilla/
%endif
rm -f %{buildroot}%{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders
rm -f %{buildroot}%{_datadir}/pixmaps/svg-viewer.svg


%changelog

* Tue Aug 08 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.40.18-1
- (011f6e8) Update files (add librsvg.thumbnailer)


